### Constructor

# Gio DBusObjectProxy new

since: 2.30

#### Declaration

    GDBusObjectProxy*
    g_dbus_object_proxy_new (
      GDBusConnection* connection,
      const gchar* object_path
    )

#### Description

Creates a new `GDBusObjectProxy` for the given connection and object path.

Available since: 2.30

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the function.

`object_path`

  Type: `const gchar*`

  The object path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDBusObjectProxy`

A new `GDBusObjectProxy`.

The caller of the function takes ownership of the data, and is responsible for freeing it.